package org.springblade.estate.feign;


import org.springblade.estate.entity.BillsItem;
import org.springblade.estate.vo.BillsItemVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class BillsItemClientFallback implements IBillsItemClient {
            /**
         * 详情
         */
        @Override
        public BillsItemVO detail(BillsItem billsItem) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<BillsItemVO> list(BillsItem billsItem) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( BillsItem billsItem) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( BillsItem billsItem) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( BillsItem billsItem) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
